Debian Bug report logs - #673725
ITP: node-requirejs -- Node adapter for RequireJS, for loading AMD modules

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marcelo Jorge Vieira <metal@debian.org>

Date: Mon, 21 May 2012 04:18:05 UTC

Owned by: georgesk@debian.org

Severity: wishlist

Fixed in version requirejs/2.1.9-1

Done: <georgesk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#673725; Package wnpp. (Mon, 21 May 2012 04:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcelo Jorge Vieira <metal@alucinados.com>:
New Bug report received and forwarded. Copy sent to pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org. (Mon, 21 May 2012 04:18:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcelo Jorge Vieira <metal@alucinados.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: node-requirejs -- Node adapter for RequireJS, for loading AMD modules
Date: Mon, 21 May 2012 01:15:14 -0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org

* Package name    : node-requirejs
  Version         : 1.0.8
  Upstream Author : James Burke <jrburke@gmail.com>
* URL             : https://github.com/jrburke/r.js
* License         : MIT | BSD
  Programming Lang: JavaScript
  Description     : Node adapter for RequireJS, for loading AMD modules 

A command line tool for running JavaScript scripts that use the
Asychronous Module Defintion API (AMD) for declaring and using
JavaScript modules and regular JavaScript script files.


Cheers,

-- 
Marcelo Jorge Vieira
xmpp:metal@jabber-br.org
http://metaldot.alucinados.com
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to 'Marcelo Jorge Vieira <metal@debian.org>' from 'Marcelo Jorge Vieira <metal@alucinados.com>' Request was from Marcelo Jorge Vieira <metal@debian.org> to control@bugs.debian.org. (Mon, 21 May 2012 04:42:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'node-requirejs -- Node adapter for RequireJS, for loading AMD modules' from 'RFP: node-requirejs -- Node adapter for RequireJS, for loading AMD modules' Request was from Georges Khaznadar <georges.khaznadar@free.fr> to control@bugs.debian.org. (Sat, 02 Nov 2013 20:12:27 GMT) Full text and rfc822 format available.

Owner recorded as georgesk@debian.org. Request was from Georges Khaznadar <georges.khaznadar@free.fr> to control@bugs.debian.org. (Sat, 02 Nov 2013 20:12:28 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: node-requirejs -- Node adapter for RequireJS, for loading AMD modules' from 'node-requirejs -- Node adapter for RequireJS, for loading AMD modules' Request was from Georges Khaznadar <georges.khaznadar@free.fr> to control@bugs.debian.org. (Sat, 02 Nov 2013 20:30:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 03 Nov 2013 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to <georgesk@debian.org>:
You have taken responsibility. (Sun, 29 Dec 2013 04:03:05 GMT) Full text and rfc822 format available.

Notification sent to Marcelo Jorge Vieira <metal@debian.org>:
Bug acknowledged by developer. (Sun, 29 Dec 2013 04:03:05 GMT) Full text and rfc822 format available.

Message #20 received at 673725-close@bugs.debian.org (full text, mbox):

From: <georgesk@debian.org>
To: 673725-close@bugs.debian.org
Subject: Bug#673725: fixed in requirejs 2.1.9-1
Date: Sun, 29 Dec 2013 04:00:16 +0000
Source: requirejs
Source-Version: 2.1.9-1

We believe that the bug you reported is fixed in the latest version of
requirejs, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673725@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
georgesk@debian.org (supplier of updated requirejs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Nov 2013 19:20:54 +0100
Source: requirejs
Binary: node-requirejs
Architecture: source all
Version: 2.1.9-1
Distribution: unstable
Urgency: low
Maintainer: Georges Khaznadar <georgesk@debian.org>
Changed-By: georgesk@debian.org
Description: 
 node-requirejs - JavaScript file and module loader
Closes: 673725
Changes: 
 requirejs (2.1.9-1) unstable; urgency=low
 .
   * Initial release (Closes: #673725)
   * created a script to check the numerous copyright notices, and ran it to
     update debian/copyright. This makes easier to manage the licenses
     which cover parts of the compiled file r.js
   * fixed debian/copyright which missed mentions about Jeremy Ashkenas;
     thanks to Luca Falavigna for pointing out this bug.
   * removed directories tests and build/tests which are not used to
     build the debian package and come with many sourceless javascript
     minified files. Thanks to Paul Richards Tagliamonte for pointing this
     issue
Checksums-Sha1: 
 b4bab9d9b2a307470de7f17f601474b5b47c10f1 1097 requirejs_2.1.9-1.dsc
 c311aca811a3987e80deb7ce27faf97e19a094ef 429834 requirejs_2.1.9.orig.tar.gz
 e345cdd9d61933a6a0bea7cbceb5cf09a7d42ea1 5278 requirejs_2.1.9-1.debian.tar.gz
 c67d9055ebc9c3e687859b4262af376722d7e1bb 169138 node-requirejs_2.1.9-1_all.deb
Checksums-Sha256: 
 af36ed75f76baf0ce1d7e1afba9288d77f553654e442931c3f91ca383bdc02f8 1097 requirejs_2.1.9-1.dsc
 16750fc6e8f98c8131fbefc1c886e9529632858b6b29ef54f7ce335e082b0229 429834 requirejs_2.1.9.orig.tar.gz
 dfe854b3c94d0e6f758adccfa37da5cb280e620b25b0ac1512a06df509e08b8e 5278 requirejs_2.1.9-1.debian.tar.gz
 51c9702b05cf76b87eef6ff784e59e0f1ec4397fad8512ec1f7ec8402157a3a1 169138 node-requirejs_2.1.9-1_all.deb
Files: 
 0d8cf7e8130ba7a7db391a49f09452e5 1097 web extra requirejs_2.1.9-1.dsc
 c163af8cd4b09b3588d9d5adce432d60 429834 web extra requirejs_2.1.9.orig.tar.gz
 0dd17f4f5175b469e9bebf009891114d 5278 web extra requirejs_2.1.9-1.debian.tar.gz
 94def07ada40eb944a703db21ed3fd38 169138 web extra node-requirejs_2.1.9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iD8DBQFSvvS/nfmb2hFpETARAhjiAKCP51vAjIuumgNEDN+HUNg5Pta0/wCffLhi
uvllsF61mpCdIrhXHOzgq5w=
=HVKZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jan 2014 07:27:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:25:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.